declare const _default: {
    namespaced: boolean;
    state: {
        header: any[];
        sider: any[];
        headerName: string;
        hideSider: boolean;
        activePath: string;
        openNames: any[];
        group: boolean;
    };
    getters: {
        /**
         * @description 根据 user 里登录用户权限，对侧边菜单进行鉴权过滤
         * */
        filterSider(state: any): any;
        /**
         * @description 根据 user 里登录用户权限，对顶栏菜单进行鉴权过滤
         * */
        filterHeader(state: any): any;
        /**
         * @description 当前 header 的全部信息
         * */
        currentHeader(state: any): any;
        /**
         * @description 在当前 header 下，是否隐藏 sider（及折叠按钮）
         * */
        hideSider(state: any): any;
    };
    mutations: {
        /**
         * @description 设置侧边栏菜单
         * @param {Object} state vuex state
         * @param {Array} menu menu
         */
        setSider(state: any, menu: any): void;
        /**
         * @description 设置顶栏菜单
         * @param {Object} state vuex state
         * @param {Array} menu menu
         */
        setHeader(state: any, menu: any): void;
        /**
         * @description 设置当前顶栏菜单 name
         * @param {Object} state vuex state
         * @param {Array} name headerName
         */
        setHeaderName(state: any, name: any): void;
        /**
         * @description 设置当前所在菜单的 path，用于侧栏菜单高亮当前项
         * @param {Object} state vuex state
         * @param {Array} path fullPath
         */
        setActivePath(state: any, path: any): void;
        /**
         * @description 设置当前所在菜单的全部展开父菜单的 names 集合
         * @param {Object} state vuex state
         * @param {Array} names openNames
         */
        setOpenNames(state: any, names: any): void;
        /**
         * 设置侧边栏菜单是否支持group模式
         * @param {Object} state vuex state
         * @param {Boolean} group 顶部菜单是否支持group
         */
        setGroup(state: any, group: any): void;
        setHideSider(state: any, visible: any): void;
    };
};
export default _default;
